Have files be a complete, aggregated list of all documents in that project
2009-11-18 04:57 - Michael Koch
Target version:

Resolution:

Description

It would be nice if there was a central point to view all files associated with a project, and it seems that the Files tab would be great
for this. Basically it would aggregate all files on the project and list them with where they have been attached, and link to that page
(ie. Wiki - Home).

This would be convenient especially as projects grow and it makes it difficult to find files attached to Resolved Issues or buried wiki
pages.

Related issues:

Related to Redmine - Feature #4383: Search Names of Files Attached to Issues Closed 2009-12-11
Related to Redmine - Feature #3995: Upgrade to "Files" module New 2009-10-08
Has duplicate Redmine - Feature #5052: Show attachments of all issues, wikipa... New 2010-03-11
History

#1 - 2009-11-21 13:07 - Jean-Philippe Lang

- Category set to Attachments

#2 - 2009-11-25 02:32 - Eric Davis

+1 this would be useful to answer a common question | hear "which issue did we upload that file to?"
#3 - 2009-12-02 21:51 - Michael Koch
yeah, exactly! | know our teams could really use this feature as we're continually having difficulty finding files.

as a non-programmer who cant actually implement this, | dont want to be pushy on getting this implemented, but is this something that could be put
into 1.0?

#4 - 2011-05-25 19:34 - Damian Lewis

+1

Redmine is amazingly good at what it does, but attachments managementis definitely a problem for anyone using Redmine regularly with lots of
issues and attachments. This is the only real problem | have with Redmine (everything else works just like we need it to) and it makes using Redmine
every day a pain.

Just needs the ability to either a) search by attachment filename/description, or b) automatically add uploaded attachments to the Files list.

Alternatively, allow attachments to be links to the files uploaded in the Documents and Files modules.

Either way, it would be nice to also have a migration tool to scan for all the attachments already associated with issues and copy the links to the Files
module.

Hope you can help.

#5 - 2011-10-11 23:41 - Jesse Dundon

| agree on this one. As a migrant from Basecamp | assumed this was how the files tab worked in the first place (show all files that have been
uploaded directly to the files tab, or have been attached to todos or messages).

I'd like to see the files tab aggregate all files that have been attached to the wiki, any issue, or directly to the files module, with a link to each related
resource for quick context on the file, as basecamp does it (see screenshot). You should also be able to filter/sort the file view by date, name,
uploader, etc. Finally, the file view should also aggregate files from all subprojects when viewing any parent project, just like issues.

Any word on this or patches out there?
Thanks!

#6 - 2011-10-11 23:42 - Jesse Dundon
- File Screen_shot 2011-10-11_at 2.38.10_PM.png added

Sorry, screenshot attached.

#7 - 2011-11-11 18:58 - Zazvonnyh Alexsey

+1

#8 - 2011-11-25 12:05 - Simon Edwards

This would definitely be very helpful - | just spent ages looking for a file attached to a years-old issue, and in the end resorted to finding it via the /files

directory instead

#9 - 2011-11-26 23:57 - Mischa The Evil
This functionality is exactly what the Assets plugin provides.

#10 - 2014-03-31 21:35 - Tim Schoffelman

+1

#11 - 2014-05-23 21:42 - Michael Esemplare
Related to #3995

#12 - 2014-06-22 01:43 - Toshi MARUYAMA
- Related to Feature #3995: Upgrade to "Files" module added
http://www.redmine.org/plugins/redmine_assets_plugin
